/* . . . . . . BEGIN . . . . . . . . . . . . */
extern void cfua_error( int status );

extern double cfua_fix_value( double rr );

extern void cfua_world_to_pix( FWPtype FWP, double ra, double dec, double *col, double *row );

extern void cfua_pix_to_world( FWPtype FWP, double col, double row, double *ra, double *dec );

extern void cfua_inheadset( fitsfile *fptr, char card[], int value, char comment[] );

extern void cfua_fheadset( fitsfile *fptr, char card[], double value, char comment[] );

extern void cfua_cheadset(fitsfile *fptr, char card[], char value[], char comment[]);

extern void cfua_cheadset_short(fitsfile *fptr,char card[],char value[],char comment[]);

extern void cfua_lheadset( fitsfile *fptr, char card[], int value, char comment[] );

extern int cfua_card_exist( fitsfile *fptr, char card[] );

extern void cfua_cardhead( fitsfile *fptr, char card[], char value[] );

extern void cfua_chead_longstr( fitsfile *fptr, char card[], char value[] );

extern void cfua_chead_longstr2( fitsfile *fptr, char card[], char value[], char comment[] );

extern void cfua_chead( fitsfile *fptr, char card[], char value[] );

extern double cfua_fhead( fitsfile *fptr, char card[] );

extern double cfua_fhead2( fitsfile *fptr, char card[], char comment[] );

extern int cfua_inhead( fitsfile *fptr, char card[] );

extern int cfua_inhead2( fitsfile *fptr, char card[], char comment[] );

extern int cfua_inhead0( fitsfile *fptr, char card[] );

extern int cfua_lhead( fitsfile *fptr, char card[] );

extern void cfua_add_longstrn_comment( fitsfile *fptr );

extern void cfua_add_comment(fitsfile *fptr, int tfields, char value[], char comment[]);

extern int cfua_find_cfitsio_table_column( char name[], int tfields, char *ttype[], int mode );

extern int cfua_ColumnExist( char name[], int tfields, char *ttype[] );

extern int cfua_long_column_partial( fitsfile *fptr, int colnum, int tfields,
                                      char *ttype[], long frow, long nelem,
                                      int mode, long aa_long[] );

extern int cfua_long_column( fitsfile *fptr, char name[], int tfields,
                              char *ttype[], long frow, long nelem, int mode,
                              long aa_long[] );

extern int cfua_string_column( fitsfile *fptr, char name[], int tfields,
                              char *ttype[], long frow, long nelem, int mode,
                              char *aa_string[] );

extern int cfua_byte_column( fitsfile *fptr, char name[], int tfields,
                              char *ttype[], long frow, long nelem, int mode,
                              unsigned char aa_byte[] );

extern int cfua_ushort_column( fitsfile *fptr, char name[], int tfields,
                               char *ttype[], long frow, long nelem, int mode,
                               unsigned short int aa_ushort[] );

extern int cfua_short_column( fitsfile *fptr, char name[], int tfields,
                               char *ttype[], long frow, long nelem, int mode,
                               short aa_short[] );

extern int cfua_double_column( fitsfile *fptr, char name[], int tfields,
                                char *ttype[], long frow, long nelem, int mode,
                                double aa_double[] );

extern int cfua_float_column( fitsfile *fptr, char name[], int tfields,
                               char *ttype[], long frow, long nelem, int mode,
                               float aa_float[] );

extern void cfua_read_fits_columns( char ffile[], int ncol, char *colnames[],
                             int srow, int hdunum, int rowlimit,
                             int maxcol, int maxrow, int info, int verbose,
                             int maxfield, char *ttype[], char *tform[],
                             double image[], int *nrow_ret, char forms[],
                             int quiet );

extern void cfua_clip_copy_image( char imgfile[], char imgfile2[], int sc, int ec, int sr, int er );

extern void cfua_load_image( char imgfile[], float image[], FWPtype FWP[] );

/* . . . . . . END . . . . . . . . . . . . . */
