/* . . . . . . BEGIN . . . . . . . . . . . . */
extern void gal_GetSunPosition( double T, double TT, double *RA, double *DEC );

extern void gal_calendar_to_julian( double Y, double M, double DY, double *JJ, double *FF);

extern void ORIG_gal_Sun_RA_Dec( int year, int month, int day, double hour, double *ra, double *dec );

extern void gal_Sun_RA_Dec( double jd, double *ra, double *dec );

extern void gal_GetMoonPosition( double T, double *ra, double *dec, double *R5 );

extern void gal_Moon_RA_Dec( double jd, double *ra, double *dec, double *R );

extern double gal_moon_illumination( double jd );

extern double gal_horizon( double elevation );

extern int pop_galeqd(double xl,double xb,double *rad,double *decd);

extern int pop_equgad(double rad,double decd,double *xl,double *xb);

extern int pop_galsgl(double rad,double decd,double *xl,double *xb);

extern int pop_sglgal(double xl,double xb,double *rad,double *decd);

extern void jgtobq( int iaus, double eqx, double *ep);

extern int pop_ecleqx(int iaus, double eqx, double xlam, double beta,
          double *rad, double *decd);

extern int pop_equecx(int iaus, double eqx, double rad, double decd,
          double *xlam, double *beta);

extern void gal_true_altaz( double ha, double dec, double latitude, double *tzd, double *taz );

extern double gal_apparent_zenith_angle( double tzd );

extern double gal_airmass( double azd );

extern double gal_diff_refrac( double w1, double w2, double azd );

extern void gal_Moon_RiseSet( double jd1, double jd2, double *jd_rise, double *jd_set );

/* . . . . . . END . . . . . . . . . . . . . */
